import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks'
import Form from 'react-bootstrap/Form'
import Button from 'react-bootstrap/Button'

<Meta title="styleguide/forms" component={Form} />

# Form

Form

<Canvas withToolbar>
  <Story name="Form">
    <Form>
      <Form.Group controlId="formBasicEmail">
        <Form.Label>Email address</Form.Label>
        <Form.Control type="email" placeholder="Enter email" />
        <Form.Text className="text-muted">
          We'll never share your email with anyone else.
        </Form.Text>
      </Form.Group>
      <Form.Group controlId="formBasicPassword">
        <Form.Label>Password</Form.Label>
        <Form.Control type="password" placeholder="Password" />
      </Form.Group>
      <Form.Group controlId="formBasicCheckbox">
        <Form.Check type="checkbox" label="Check me out" />
      </Form.Group>
      <Button variant="primary" type="submit">
        Submit
      </Button>
    </Form>
  </Story>
</Canvas>

## Fieldset

<Canvas withToolbar>
  <Story name="Fieldset">
    <Form>
      <fieldset>
        <legend>Choose your favorite monster</legend>
        <Form.Check type="radio" name="monster" label="Kraken" />
        <br />
        <Form.Check type="radio" name="monster" label="Sasquatch" />
        <br />
        <Form.Check type="radio" name="monster" label="Mothman" />
      </fieldset>
    </Form>
  </Story>
</Canvas>
